### Hierarchy

- PrintUtil

## Index

### Methods

- arrayOfRichNums
- enumValue
- forEachChildNode
- ifChild
- importTextAttributes
- singleChildBoolean
- singleChildFloat
- singleChildInt
- singleChildRichNum
- singleChildText
- singleChildTextAlignmentUsage

## Methods

### Static arrayOfRichNums

- arrayOfRichNums(node: Node, name: string): Array<RichNum>

- - Defined in print/PrintForm.ts:1379

  #### Parameters

  - ##### node: Node

  - ##### name: string

  #### Returns Array<RichNum>

### Static enumValue

- enumValue(node: Node, e: Object): number

- - Defined in print/PrintForm.ts:1388

  #### Parameters

  - ##### node: Node

  - ##### e: Object

  #### Returns number

### Static forEachChildNode

- forEachChildNode(node: Node, f: function): void

- - Defined in print/PrintForm.ts:1397

  #### Parameters

  - ##### node: Node

  - ##### f: function

    - - (n: Node): void

      - #### Parameters

        - ##### n: Node

        #### Returns void

### Static ifChild

- ifChild(node: Node, f: function): void

- - Defined in print/PrintForm.ts:1402

  #### Parameters

  - ##### node: Node

  - ##### f: function

    - - (n: Node): void

      - #### Parameters

        - ##### n: Node

        #### Returns void

### Static importTextAttributes

- importTextAttributes(nodeChildDict: Object, textAttributes: TextAttributes): void

- - Defined in print/PrintForm.ts:1407

  #### Parameters

  - ##### nodeChildDict: Object

  - ##### textAttributes: TextAttributes

  #### Returns void

### Static singleChildBoolean

- singleChildBoolean(node: Node): boolean

- - Defined in print/PrintForm.ts:1427

  #### Parameters

  - ##### node: Node

  #### Returns boolean

### Static singleChildFloat

- singleChildFloat(node: Node): number

- - Defined in print/PrintForm.ts:1446

  #### Parameters

  - ##### node: Node

  #### Returns number

### Static singleChildInt

- singleChildInt(node: Node): number

- - Defined in print/PrintForm.ts:1435

  #### Parameters

  - ##### node: Node

  #### Returns number

### Static singleChildRichNum

- singleChildRichNum(node: Node): RichNum

- - Defined in print/PrintForm.ts:1457

  #### Parameters

  - ##### node: Node

  #### Returns RichNum

### Static singleChildText

- singleChildText(node: Node): string

- - Defined in print/PrintForm.ts:1478

  #### Parameters

  - ##### node: Node

  #### Returns string

### Static singleChildTextAlignmentUsage

- singleChildTextAlignmentUsage(node: Node): TextAlignmentUsage

- - Defined in print/PrintForm.ts:1491

  #### Parameters

  - ##### node: Node

  #### Returns TextAlignmentUsage

Generated using TypeDoc